.pt-o-game-8 {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;

  &__left {
    width: 55%;
    height: 100%;

    .__content {
      color: $nightRider;
      font-family: 'mont_m';
      font-size: 1.8rem;
      line-height: 3.6rem;
    }

    .pt-o-block-paper{
      &__container{
        & > div > div {
          padding: 0 1.7rem 2rem 0;
        }
      }
    }
  }

  &__right {
    width: 42%;
    height: 100%;

    & > .__container {
      height: 100%;
      // padding: 3.2rem 1.8rem 4.4rem 1.8rem;
      display: flex;
      flex-direction: column;

      & > .__header {
        margin: 3.2rem 1.6rem;

        & > .__description {
          color: $gunPowder;
          font-family: 'mont_m';
          font-size: 1.8rem;
          line-height: 2.2rem;
          text-align: center;
          padding: 0 2rem;
        }
      }

      & > .__content {
        // margin: 0 -1rem;
        // padding: 0 1.6rem;
        margin-bottom: 1.6rem;
        flex: 1;
        display: flex;
        flex-direction: column;
        overflow: hidden auto;

        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            margin-top: 1rem;
            margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
            background: #d4e9ff;
            border-radius: 10px;
        }

        & > .__list {
          flex: 1;

          & > div {
            & > div {
              // margin: 0 !important;
              &:nth-child(1) {
                padding: 0 1rem;
              }

              &:nth-child(3) {
                & > div {
                  background: $pattensBlue !important;
                }
              }
            }
          }

          .__item {
            margin: 0 0 0.8rem 0;
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: space-evenly;

            &:nth-child(2n + 1) {
              & > .__text {
                background: $aliceBlue;
              }
            }

            &:nth-child(2n) {
              & > .__text {
                background: $aliceBlue_sb;
              }
            }

            &:last-child {
              margin: 0;
            }

            & > .__text {
              // margin: 0 0 0 0.8rem;
              width: calc(100% - 10rem);
              color: $gunPowder;
              // flex: 1;
              padding: 1.1rem 1.6rem;
              border-radius: 1.2rem;
              font-family: 'mont_m';
              transition: color 0.25s ease-in-out;

              &.--danger {
                color: $salmon;
              }

              &.--success {
                color: $limeGreen;
              }
            }

            & > .__toggle {
              width: 6.2rem;
              display: flex;
              justify-content: flex-end;

              .rs-toggle {
                .rs-toggle-presentation {
                  width: 62px;
                  text-align: center;
                  background: $salmon;
                }
              }

              .rs-toggle-checked {
                .rs-toggle-presentation {
                  background: $kellyGreen;
                }
              }
            }
          }
        }
      }
    }
  }

  &__see-more {
    display: none;
    // display: flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    border-radius: 2rem;
    background-color: rgba($color: #000000, $alpha: 0.4);
    position: fixed;
    bottom: 14rem;
    z-index: 1000;
    left: calc(50% - 2rem);
  }

  &-audio {
    &__container {
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }

        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 2;
          transform: rotate(45deg);
          .rs-toggle {
            .rs-toggle-presentation {
              width: 62px;
              text-align: center;
              background: $salmon;
            }
          }

          .rs-toggle-checked {
            .rs-toggle-presentation {
              background: $kellyGreen;
            }
          }
        }

        .__pin.--right {
          display: none;
        }
      }
    }

    &__left {
      width: 42vh;
      max-width: 38rem;
      height: 42vh;
      max-height: 38rem;
      border-radius: 14vh 0 0 14vh;
      display: flex;
      flex-shrink: 0;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;

      & > .__player {
        width: 12.8rem;
        height: 12.8rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 2.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 2.4rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      width: 42%;
      height: 100%;
      position: relative;

      & > .__tapescript {
        min-width: 17.6rem;
        height: 4.6rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.8rem !important;
        position: absolute;
        bottom: 1.2rem;
        left: max(-21vh, -19rem);
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.8rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__container {
        height: 100%;
        // padding: 3.2rem 1.8rem 4.4rem 1.8rem;
        display: flex;
        flex-direction: column;

        & > .__header {
          margin: 3.2rem 1.6rem 3.2rem 1.6rem;

          & > .__description {
            color: $gunPowder;
            font-family: 'mont_m';
            font-size: 1.8rem;
            line-height: 2.2rem;
            text-align: center;
          }
        }

        & > .__content {
          // margin: 0 -1rem;
          // padding: 0 1.6rem;
          margin-bottom: 2rem;
          flex: 1;
          display: flex;
          flex-direction: column;
          overflow: hidden auto;

          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
              margin-top: 1rem;
              margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
          }

          & > .__list {
            flex: 1;

            & > div {
              & > div {
                &:nth-child(1) {
                  padding: 0 2.4rem 0 0;
                }

                &:nth-child(3) {
                  & > div {
                    background: $pattensBlue !important;
                  }
                }
              }
            }

            .__item {
              justify-content: space-evenly;
              margin: 0 0 0.8rem 0;
              display: flex;
              flex-wrap: wrap;
              align-items: center;

              &:nth-child(2n + 1) {
                & > .__text {
                  background: $aliceBlue;
                }
              }

              &:nth-child(2n) {
                & > .__text {
                  background: $aliceBlue_sb;
                }
              }

              &:last-child {
                margin: 0;
              }

              & > .__text {
                // margin: 0 0 0 0.8rem;
                width: calc(100% - 10rem);
                color: $gunPowder;
                // flex: 1;
                padding: 1.1rem 1.6rem;
                border-radius: 1.2rem;
                font-family: 'mont_m';
                transition: color 0.25s ease-in-out;

                &.--danger {
                  color: $salmon;
                }

                &.--success {
                  color: $limeGreen;
                }
              }

              & > .__toggle {
                width: 6.2rem;
                display: flex;
                justify-content: flex-end;
                .rs-toggle {
                  .rs-toggle-presentation {
                    width: 62px;
                    text-align: center;
                    background: $salmon;
                  }
                }

                .rs-toggle-checked {
                  .rs-toggle-presentation {
                    background: $kellyGreen;
                  }
                }

                & > .__switcher {
                  // width: 8.1rem;
                  // height: 3.2rem;
                  // background: $salmon;
                  // border-radius: 1.6rem;

                  &.rs-btn-toggle-checked {
                    background: $limeGreen;

                    &::after {
                      margin-left: calc(100% - 3.2rem);
                    }

                    .rs-btn-toggle-inner {
                      margin-left: 1.6rem;
                    }
                  }

                  &::after {
                    width: 2.8rem;
                    height: 2.8rem;
                    border-radius: 50%;
                    top: 0.2rem;
                    left: 0.2rem;
                  }

                  .rs-btn-toggle-inner {
                    margin-left: 4.4rem;
                  }

                  .rs-icon {
                    font-size: 1.6rem;
                    line-height: 3.2rem;
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

@include screen-768-1024-portrait{
  .pt-o-game-8 {
    flex-direction: row;
    overflow: auto;
    &__left {
      width: 100%;
      height: auto;
      & > .__container {
        & > .pt-o-block-cloud__container {
          padding: 2rem;
        }
      }
      .pt-o-block-paper {
        padding: 3rem 1.5rem 1rem 1.5rem;

        &__container {
          & > div {
            & > div {
              position: unset !important;
              &:nth-child(1) {
              }
            }
          }
        }
        .__pin.--right {
          top: 1rem;
        }
        .__pin.--left {
          top: 1rem;
        }
      }
      .__content {
        color: $nightRider;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 3.6rem;
      }
    }
    &__right {
      width: 100%;
      height: auto;
      position: relative;
      & > .__container {
        padding: 0;
        margin-top: 1rem;
        & > .__header {
          margin: 1.6rem;
          & > .__description {
            font-size: 1.4rem;
          }
        }
        & > .__content {
          margin: 0;
          & > .__list {
            padding-top: 2.4rem;
            flex: 1;
              & > div {
                & > div {
                  position: unset !important;
                  overflow: unset !important;
                  &:nth-child(1) {
                    padding: 1rem 2.4rem 2rem 0;
                  }
                }
              }
            .__item {
              font-size: 1.2rem;
            }
          }
        }
      }
    }

    &__see-more {
      display: flex;
    }

    &-audio {
      &__container {
        flex-direction: column;
        flex: auto;
        & > .__paper {
          width: 100%;
          font-size: 1.4rem;
          .__pin.--left {
            top: 1.6rem;
          }
        }
      }
      &__left {
        width: 18.6rem;
        height: 19.8rem;
        border-radius: unset;
        border-top-left-radius: 9.3rem;
        border-top-right-radius: 9.3rem;
        overflow: unset;
        flex-direction: column;
        justify-content: flex-start;
        & > .__player {
          width: 7rem;
          height: 7rem;
          position: absolute;
          top: 2.5rem;
        }

        & > .__duration {
          position: absolute;
          bottom: 49px;
          transform: unset;
          left: unset;
          font-size: 2rem;
        }
      }
      &__result {
        margin-bottom: 0;
      }
      &__right {
        width: 100%;
        height: calc(100% - 19.8rem);
        & > .__tapescript {
          min-width: 17.6rem;
          height: 4.6rem;
          border-radius: 2.3rem;
          font-family: 'mont_b';
          font-size: 1.8rem !important;
          top: unset;
          bottom: unset;
          left: 50%;
          bottom: 100%;
          transform: translate(-50%, -2px);

          &::before {
              width: 17.6rem;
              height: 4.6rem;
              border-radius: 2.3rem;
              content: 'Tapescript';
              font-family: 'mont_b';
              font-size: 1.8rem;
              opacity: 0;
              top: 0;
              left: 0;
          }
        }

        .pt-o-block-bottom-gradient {
          padding: 0;
          .__header {
            margin: 1.6rem;
            & > .__description {
              font-size: 1.4rem;
            }
          }
          .__content {
            & > .__list {
              flex: 1;
              & > div {
                & > div {
                  &:nth-child(1) {
                    padding: 3rem 2.5em 2rem 4.5rem;
                  }
                }
              }

              .__item {
                & > .__text {
                  font-size: 1.2rem;
                }
                & > .__toggle {
                  width: 6.2rem;
                }
              }
            }
          }
        }
      }
    }
  }
}

@include screen-767-portrait {
  .pt-o-game-8 {
    flex-direction: row;
    overflow: auto;
    &__left {
      width: 100%;
      height: auto;
      padding-bottom: 1rem;
      & > .__container {
        & > .pt-o-block-cloud__container {
          padding: 2rem;
        }
      }
      .pt-o-block-paper {
        padding: 3rem 1.5rem 1rem 1.5rem;
        &__container {
          & > div {
            & > div {
              position: unset !important;
              &:nth-child(1) {
                padding: 0 2.4rem 1.7rem 0;
              }
            }
          }
          .__content {
            font-size: 1.2rem;
            line-height: unset;
          }
        }
        .__pin.--right {
          top: 1rem;
        }
        .__pin.--left {
          top: 1rem;
        }
      }
      .__content {
        color: $nightRider;
        font-family: 'mont_m';
        font-size: 1.2rem;
        line-height: 3.6rem;
      }
    }
    &__right {
      width: 100%;
      height: auto;
      & > .__container {
        // padding: 1rem;
        & > .__header {
          margin: 1.6rem;
          & > .__description {
            font-size: 1.4rem;
          }
        }
        & > .__content {
          margin-bottom: 2rem;
          padding: 0;
          & > .__list {
            padding-top: 1rem;
            & > div {
              & > div {
                position: unset !important;
                &:nth-child(1) {
                  padding: 0 1.7rem 1.7rem 0;
                }
              }
            }
            .__item {
              font-size: 1.2rem;
            }
          }
        }
      }
    }

    &__see-more {
      display: flex;
    }

    &-audio {
      overflow: hidden;
      &__container {
        flex-direction: column;
        overflow-y: auto;
        flex: auto;
        justify-content: flex-start;
        & > .__paper {
          width: 100%;
          font-size: 1.4rem;
          .__pin.--left {
            top: 1.6rem;
          }
        }
      }
      &__left {
        width: 12.6rem;
        height: 15.6rem;
        border-radius: unset;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        overflow: unset;
        align-items: flex-start;
        & > .__player {
          width: 6.8rem;
          height: 6.8rem;
          top: 2rem;
        }

        & > .__duration {
          font-size: 1.8rem;
          bottom: 2.8rem;
          line-height: 3.4rem;
        }
      }
      &__result {
        margin-bottom: 0;
      }
      &__right {
        width: 100%;
        height: auto;

        & > .__tapescript {
          min-width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          font-family: mont_b;
          font-size: 1.4rem!important;
          top: unset;
          bottom: unset;
          left: 50%;
          bottom: 100%;
          transform: translate(-50%,-2px);

          &::before {
            width: 11.6rem;
            height: 3.4rem;
            border-radius: 2.3rem;
            content: 'Tapescript';
            font-family: 'mont_b';
            font-size: 1.4rem;
            opacity: 0;
            top: 0;
            left: 0;
          }
        }

        .pt-o-block-bottom-gradient {
          padding: 0;
          .__header {
            margin: 1.6rem;
            & > .__description {
              font-size: 1.4rem;
            }
          }
          .__content {
            & > .__list {
              flex: 1;
              & > div {
                & > div {
                  position: unset !important;
                  &:nth-child(1) {
                    padding: 1rem 2.4rem 2rem 0;
                  }
                }
              }

              .__item {
                & > .__text {
                  font-size: 1.2rem;
                }
                & > .__toggle {
                  width: 6.2rem;
                }
              }
            }
          }
        }
      }
    }
  }
}
@include screen-1024-landscape{
  .pt-o-game-8 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  
    &__left {
      width: 49%;
      height: 100%;
      .pt-o-block-paper{
        padding: 2.4rem 1.6rem 2.2rem 1.6rem;
      }
      .__content {
        color: $nightRider;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 3.4rem;
      }
    }
  
    &__right {
      width: 49%;
      height: 100%;
  
      & > .__container {
        height: 100%;
        padding: 0;

        display: flex;
        flex-direction: column;
        & > .__content {
  
          & > .__list {
            .__item {
              &:nth-child(2n + 1) {
                & > .__text {
                 font-size: 1.4rem;
                }
              }
  
              &:nth-child(2n) {
                & > .__text {
                  font-size: 1.4rem;
                }
              }
              
            }
          }
        }
        & > .__header {
          margin: 1rem 0 1rem 0;
  
          & > .__description {
            font-size: 1.6rem;
            line-height: 2.2rem;
            text-align: center;
          }
        }
      }
    }
  
    &__see-more {
      display: none;
      // display: flex;
      justify-content: center;
      align-items: center;
      width: 4rem;
      height: 4rem;
      border-radius: 2rem;
      background-color: rgba($color: #000000, $alpha: 0.4);
      position: fixed;
      bottom: 14rem;
      z-index: 1000;
      left: calc(50% - 2rem);
    }
  
    &-audio {
      &__container {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
  
        & > .__paper {
          width: 64.2rem;
          height: 100%;
          margin: 0 auto;
          font-size: 2rem;
          line-height: 3.2rem;
          position: relative;
  
          &.--hidden {
            display: none;
          }
  
          & > .__toggle {
            width: 1.6rem;
            height: 1.6rem;
            cursor: pointer;
            position: absolute;
            top: 1.8rem;
            right: 3.6rem;
            z-index: 2;
            transform: rotate(45deg);
            .rs-toggle {
              .rs-toggle-presentation {
                width: 62px;
                text-align: center;
                background: $salmon;
              }
            }
  
            .rs-toggle-checked {
              .rs-toggle-presentation {
                background: $kellyGreen;
              }
            }
          }
  
          .__pin.--right {
            display: none;
          }
        }
      }
  
      &__left {
        width: 26rem;
        max-width: 26rem;
        height: 26rem;
        max-height: 26rem;
        border-radius: 9rem 0 0 9rem;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
        & > .__player {
          width: 50%;
          height:  50%;
        }
  
        & > .__duration {
          position: absolute;
          bottom: 0;
          left: 50%;
          transform: translateX(-50%);
          font-size: 2rem;
        }
      }
  
      &__right {
        width: calc(100% - 27rem);
        max-width: unset;
        height: 100%;
        position: relative;
  
        & > .__tapescript {
          min-width: 15rem;
          width: 15rem;
          height: 4rem;
          border-radius: 2rem;
          color: $white;
          font-family: 'mont_b';
          font-size: 1.6rem !important;
          position: absolute;
          bottom: 0;
          left: -15rem;
          transform: translateX(-5.5rem);
          &:active {
            &::before {
              opacity: 1;
            }
          }
  
          &::before {
            font-size: 1.6rem;
          }
        }
  
        & > .__container {
          height: 100%;
          padding: 0;
          display: flex;
          flex-direction: column;
  
          & > .__header {
            margin: 1.6rem;
  
            & > .__description {
              line-height: 2rem;
              text-align: center;
              font-size: 1.6rem;
            }
          }
          & > .__content{
            .__list{
              .__item{
                font-size: 1.4rem;
              }
            }
          }
        }
      }
    }
  }
}
@include screen-960-landscape{
  .pt-o-game-8 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  
    &__left {
      width: 45%;
      height: 100%;
      .pt-o-block-paper{
        padding: 2.4rem 1.6rem 2.2rem 1.6rem;
      }
      .__content {
        color: $nightRider;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 3.2rem;
      }
    }
  
    &__right {
      width: 53%;
      height: 100%;
  
      & > .__container {
        height: 100%;
        padding: 0;

        display: flex;
        flex-direction: column;
        & > .__content {
  
          & > .__list {
            .__item {
              &:nth-child(2n + 1) {
                & > .__text {
                 font-size: 1.2rem;
                }
              }
  
              &:nth-child(2n) {
                & > .__text {
                  font-size: 1.2rem;
                }
              }
              .__toggle{
                width: 6.2rem;
              }
            }
          }
        }
        & > .__header {
          margin: 1rem 0 1rem 0;
  
          & > .__description {
            font-size: 1.4rem;
            line-height: 2.2rem;
            text-align: center;
          }
        }
      }
    }
    &-audio {
      &__container {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
  
        & > .__paper {
          width: 64.2rem;
          height: 100%;
          margin: 0 auto;
          font-size: 1.2rem;
          line-height: 3.2rem;
          position: relative;
  
          &.--hidden {
            display: none;
          }
  
          & > .__toggle {
            width: 1.6rem;
            height: 1.6rem;
            cursor: pointer;
            position: absolute;
            top: 1.8rem;
            right: 3.6rem;
            z-index: 2;
            transform: rotate(45deg);
            .rs-toggle {
              .rs-toggle-presentation {
                width: 62px;
                text-align: center;
                background: $salmon;
              }
            }
  
            .rs-toggle-checked {
              .rs-toggle-presentation {
                background: $kellyGreen;
              }
            }
          }
  
          .__pin.--right {
            display: none;
          }
        }
      }
  
      &__left {
        width: 18rem;
        max-width: 18rem;
        height: 18rem;
        max-height: 18rem;
        margin-top: -6rem;
        border-radius: 9rem 0 0 9rem;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
        & > .__player {
          width: 50%;
          height:  50%;
        }
        & > .__duration {
          position: absolute;
          bottom: 0;
          left: 50%;
          transform: translateX(-50%);
          font-size: 1.8rem;
        }
      }
  
      &__right {
        width: calc(100% - 19rem);
        max-width: unset;
        height: 100%;
        position: relative;
  
        & > .__tapescript {
          min-width: 15rem;
          width: 15rem;
          height: 4rem;
          border-radius: 2rem;
          color: $white;
          font-family: 'mont_b';
          font-size: 1.2rem !important;
          position: absolute;
          bottom: 0;
          left: -15rem;
          transform: translateX(-1.5rem);
          &:active {
            &::before {
              opacity: 1;
            }
          }
  
          &::before {
            width: 17.6rem;
            height: 4.6rem;
            background: $deepSkyBlue;
            border-radius: 2.3rem;
            color: $white;
            content: 'Tapescript';
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_b';
            font-size: 1.2rem;
            opacity: 0;
            pointer-events: none;
            position: absolute;
            top: 0;
            left: 0;
          }
        }
  
        & > .__container {
          height: 100%;
          // padding: 2rem 1.2rem 2rem 1.2rem;
          display: flex;
          flex-direction: column;
          & > .__content {
            & > .__list {
              .__item {
                &:nth-child(2n + 1) {
                  & > .__text {
                   font-size: 1.2rem;
                  }
                }
                &:nth-child(2n) {
                  & > .__text {
                    font-size: 1.2rem;
                  }
                }
                .__toggle{
                  width: 6.2rem;
                }
              }
            }
          }
          & > .__header {
            margin: 1.6rem;
  
            & > .__description {
              line-height: 2rem;
              text-align: center;
              font-size: 1.4rem;
            }
          }
        }
      }
    }
  }
}
@include screen-mobile-portrait{
  .pt-o-game-8{
    &-audio {
      &__left{
        width: 12.6rem;
        height: 15.6rem;
        border-radius: unset;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        max-width: unset;
        max-height: unset;
        flex-direction: column;
        overflow: unset;
        justify-content: flex-start;
        align-items: center;

        .__duration{
            position: absolute;
            bottom: 28px;
            transform: unset;
            left: unset;
            font-size: 1.4rem;
        }
      }
      &__right {
        width: 100%;
        max-height: calc(100% - 15.6rem);

      }
    }
  }
}
